### Virtual Method

# PeasGtk Configurable create_configure_widget

#### Declaration [src]

    GtkWidget*
    create_configure_widget (
      PeasGtkConfigurable* configurable
    )

#### Description [src]

Creates the configure widget for the plugin.

The returned widget should allow configuring all the relevant aspects of the plugin, and should allow instant-apply, as promoted by the Gnome Human Interface Guidelines.

`PeasGtkPluginManager` will embed the returned widget into a dialog box, but you shouldn’t take this behaviour for granted as other implementations of a plugin manager UI might do otherwise.

This method should always return a valid `GtkWidget` instance, never `NULL`.

#### Return value

Type: `GtkWidget`

A `GtkWidget` used for configuration.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.